# Class PriceAlertFilter

#### Hierarchy

- unknown
  - PriceAlertFilter

- Defined in src/protobuf/pb_pb.d.ts:7587
- Defined in src/protobuf/pb_pb.d.ts:7605

#####
Index

### Constructors

constructor

### Methods

getCurrencycode
getHigh
getLow
serializeBinary
setCurrencycode
setHigh
setLow
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PriceAlertFilter(): PriceAlertFilter

- #### Returns PriceAlertFilter

  Inherited from jspb.Message.constructor

## Methods

### getCurrencycode

- getCurrencycode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7588

### getHigh

- getHigh(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7591

### getLow

- getLow(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7594

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7597

### setCurrencycode

- setCurrencycode(value: string): PriceAlertFilter

- #### Parameters

  - ##### value: string

  #### Returns PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7589

### setHigh

- setHigh(value: number): PriceAlertFilter

- #### Parameters

  - ##### value: number

  #### Returns PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7592

### setLow

- setLow(value: number): PriceAlertFilter

- #### Parameters

  - ##### value: number

  #### Returns PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7595

### toObject

- toObject(includeInstance?: boolean): PriceAlertFilter.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PriceAlertFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7598

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PriceAlertFilter

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7601

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PriceAlertFilter, reader: BinaryReader): PriceAlertFilter

- #### Parameters

  - ##### message: PriceAlertFilter

  - ##### reader: BinaryReader

  #### Returns PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7602

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PriceAlertFilter, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PriceAlertFilter

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7600

### `Static` toObject

- toObject(includeInstance: boolean, msg: PriceAlertFilter): PriceAlertFilter.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PriceAlertFilter

  #### Returns PriceAlertFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7599

Generated using TypeDoc